BASENAME(1)

NAMN
basename — rensa bort katalog och suffix från filnamn

SYNOPSIS
basename NAMN [ÄNDELSE]
basename FLAGGA... NAMN...

BESKRIVNING

Skriv NAMN med eventuella inledande sökvägskomponenter borttagna. Tag bort eventuell specificerad ÄNDELSE.

Obligatoriska argument till långa flaggor är obligatoriska även för de korta.

-a, --multiple
    Stöd flera argument och behandla varje som ett NAMN.

-s, --suffix=ÄNDELSE
    Ta bort ett avslutande ÄNDELSE, implicerar -a.

-z, --zero
    Avsluta varje utmatad rad med NOLL, inte nyrad.

--help
    visa denna hjälp och avsluta

--version
    visa versionsinformation och avsluta

EXEMPEL

basename /usr/bin/sort
    -> ”sort”

basename include/stdio.h .h
    -> ”stdio”

basename -s .h include/stdio.h
    -> ”stdio”

basename -a any/str1 any/str2
    -> ”str1” följt av ”str2”

UPPHOVSMAN
Skrivet av David MacKenzie.

RAPPORTERA FEL
GNU coreutils hjälp på nätet: <https://www.gnu.org/software/coreutils/>
Rapportera anmärkningar på översättningen till <tp-sv@listor.tp-sv.se>

SE ÄVEN
dirname(1), readlink(1)

Fullständig dokumentation <https://www.gnu.org/software/coreutils/basename>
eller tillgängligt lokalt via: info '(coreutils) basename invocation'

Paketerat av Debian (9.7-2)
Copyright © 2025 Free Software Foundation, Inc.
Licens GPLv3+: GNU GPL version 3 eller senare <https://gnu.org/licenses/gpl.html>
Detta är fri programvara: du får fritt ändra och vidaredistribuera den.
Det finns INGEN GARANTI, så långt lagen tillåter.

ÖVERSÄTTNING
Den svenska översättningen av denna manualsida skapades av Göran Uddeborg <goeran@uddeborg.se>

Denna översättning är fri dokumentation; läs GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) eller senare för upphovsrättsvillkor. Vi tar INGET ANSVAR.

Om du hittar fel i översättningen av denna manualsida, skicka ett mail till Tp-sv@listor.tp-sv.se.